org.appng.cli.commands.permission

## Class AddPermission

- java.lang.Object
- - org.appng.cli.commands.permission.AddPermission

- All Implemented Interfaces:
    ExecutableCliCommand

      public class AddPermission
      extends Object
      implements ExecutableCliCommand

  Adds one ore more permissions to a role.

       Usage: appng add-permission [options]
         Options:
         * -n
              The permission(s) to add, multiple values can be provided (separated by
              space).
         *  -a
              The application name.
         * -r
              The role name.

  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AddPermission()`
    `protected` | `AddPermission(String applicationName, String roleName, List<String> permissionNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(CliEnvironment cle)` Executes the command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPermission

          public AddPermission()

    - #### AddPermission

          protected AddPermission(String applicationName,
                                  String roleName,
                                  List<String> permissionNames)

  - ### Method Detail

    - #### execute

          public void execute(CliEnvironment cle)
                       throws BusinessException

      Description copied from interface: `ExecutableCliCommand`
      Executes the command.
      Specified by:
        `execute` in interface `ExecutableCliCommand`
      Parameters:
        `cle` - the `CliEnvironment` to use
      Throws:
        `BusinessException` - if on error occurs while executing the command

Copyright © 2011–2023 aiticon GmbH. All rights reserved.